aboutsummaryrefslogtreecommitdiff
path: root/compiler_wrapper/install_compiler_wrapper.sh
diff options
context:
space:
mode:
authorPirama Arumuga Nainar <pirama@google.com>2020-10-22 07:57:11 +0000
committerAutomerger Merge Worker <android-build-automerger-merge-worker@system.gserviceaccount.com>2020-10-22 07:57:11 +0000
commit850d25c38cd14586fd263215480c3176fbd36480 (patch)
tree073e9e403bc6e2290b2b5b005a5cfdabadde1e42 /compiler_wrapper/install_compiler_wrapper.sh
parent8d330eb6c22027a82c1841923f341fe4416e1119 (diff)
parent76b8300539d6b34088afcc8fb87ac25d5ed2d29c (diff)
downloadtoolchain-utils-850d25c38cd14586fd263215480c3176fbd36480.tar.gz
Merging 84 commit(s) from Chromium's toolchain-utils am: 1e576757bc am: 12fcdf982e am: 76b8300539
Original change: https://android-review.googlesource.com/c/platform/external/toolchain-utils/+/1469797 Change-Id: I7d81870a25d8bc5516207e6d5fc751482f46efea
Diffstat (limited to 'compiler_wrapper/install_compiler_wrapper.sh')
-rwxr-xr-xcompiler_wrapper/install_compiler_wrapper.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/compiler_wrapper/install_compiler_wrapper.sh b/compiler_wrapper/install_compiler_wrapper.sh
new file mode 100755
index 00000000..479b112c
--- /dev/null
+++ b/compiler_wrapper/install_compiler_wrapper.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+#
+# Copyright 2020 The Chromium OS Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# This script rebuilds and installs compiler wrappers
+
+if [[ ! -e /etc/cros_chroot_version ]]; then
+ echo "Please run this script inside chroot"
+ exit 1
+fi
+set -e
+cd "$(dirname "$(readlink -m "$0")")"
+echo "Updated files:"
+# Update the host wrapper
+./build.py --config=cros.host --use_ccache=false --use_llvm_next=false --output_file=./clang_host_wrapper
+sudo mv ./clang_host_wrapper /usr/bin/clang_host_wrapper
+echo "/usr/bin/clang_host_wrapper"
+sudo cp ../binary_search_tool/bisect_driver.py /usr/bin
+echo "/usr/bin/clang_host_wrapper/bisect_driver.py"
+# Update the target wrappers
+for GCC in cross-x86_64-cros-linux-gnu/gcc cross-armv7a-cros-linux-gnueabihf/gcc cross-aarch64-cros-linux-gnu/gcc; do
+ if ! FILES="$(equery f ${GCC})"; then
+ if [[ $(equery l "${GCC}" 2>&1 | wc -c) -eq 0 ]]; then
+ echo "no ${GCC} package found; skipping" >&2
+ continue
+ fi
+ # Something went wrong, and the equery above probably complained about it.
+ exit 1
+ fi
+ ./build.py --config=cros.hardened --use_ccache=false --use_llvm_next=false --output_file=./sysroot_wrapper.hardened.noccache
+ sudo mv ./sysroot_wrapper.hardened.noccache "$(grep sysroot_wrapper.hardened.noccache <<< "${FILES}")"
+ grep sysroot_wrapper.hardened.noccache <<< "${FILES}"
+ ./build.py --config=cros.hardened --use_ccache=true --use_llvm_next=false --output_file=./sysroot_wrapper.hardened.ccache
+ sudo mv ./sysroot_wrapper.hardened.ccache "$(grep sysroot_wrapper.hardened.ccache <<< "${FILES}")"
+ grep sysroot_wrapper.hardened.ccache <<< "${FILES}"
+ sudo cp ../binary_search_tool/bisect_driver.py "$(grep bisect_driver.py <<< "${FILES}")"
+ grep bisect_driver.py <<< "${FILES}"
+done